install apar on aix53 | Unix Linux Forums | AIX

  Go Back    


AIX AIX is IBM's industry-leading UNIX operating system that meets the demands of applications that businesses rely upon in today's marketplace.

install apar on aix53

AIX


Tags
installp, software management

Closed Thread    
 
Thread Tools Search this Thread Display Modes
    #1  
Old 07-25-2008
itik itik is offline
Registered User
 
Join Date: Oct 2007
Last Activity: 12 December 2013, 10:00 PM EST
Location: Toronto, Ontario
Posts: 383
Thanks: 0
Thanked 2 Times in 2 Posts
install apar on aix53

Hi All,

I was installing apar CVE-2008-0122 on my freshly test aix53.

I followed the ibm site and run this 'installp -a -d libc_ifix -X all'

and got this


Code:
+-----------------------------------------------------------------------------+
                    Pre-installation Verification...
+-----------------------------------------------------------------------------+
Verifying selections...done
Verifying requisites...done
Results...

FAILURES
--------
  Filesets listed in this section failed pre-installation verification
  and will not be installed.

  Requisite Failures
  ------------------
  SELECTED FILESETS:  The following is a list of filesets that you asked to
  install.  They cannot be installed until all of their requisite filesets
  are also installed.  See subsequent lists for details of requisites.
  NOTE:  One or more fileset updates in this list are flagged with "*".
         These updates supersede (i.e., replace) updates which you
         selected.  Newer level fileset updates will always be
         automatically chosen instead of the fileset updates they
         supersede when the "auto-install" option (i.e., "AUTOMATICALLY
         install requisite software" or -g flag) is specified.

    bos.adt.prof 5.2.0.110                    # Base Profiling Support
    bos.adt.prof 5.3.7.4 *                    # Base Profiling Support
        (supersedes:  5.3.0.67)
    bos.adt.prof 6.1.0.5 *                    # Base Profiling Support
        (supersedes:  6.1.0.4)
    bos.rte.control 5.3.7.3                   # System Control Commands
    bos.rte.libc 5.3.7.4 *                    # libc Library
        (supersedes:  5.3.0.67)
    bos.rte.libc 6.1.0.5 *                    # libc Library
        (supersedes:  6.1.0.4)

  MISSING REQUISITES:  The following filesets are required by one or more
  of the selected filesets listed above.  They are not currently installed
  and could not be found on the installation media.

    bos.64bit 5.3.7.0                         # Base Level Fileset
    bos.adt.include 5.3.7.0                   # Base Level Fileset
    bos.adt.prof 5.2.0.0                      # Base Level Fileset
    bos.adt.prof 5.3.0.0                      # Base Level Fileset
    bos.adt.prof 6.1.0.0                      # Base Level Fileset
    bos.mp 5.3.7.0                            # Base Level Fileset
    bos.mp64 5.3.7.0                          # Base Level Fileset
    bos.net.nis.client 5.3.7.0                # Base Level Fileset
    bos.perf.perfstat 5.3.7.0                 # Base Level Fileset
    bos.perf.tools 5.3.7.0                    # Base Level Fileset
    bos.rte.bind_cmds 5.3.7.0                 # Base Level Fileset
    bos.rte.install 5.3.7.0                   # Base Level Fileset
    bos.rte.libc 6.1.0.0                      # Base Level Fileset
    bos.rte.libpthreads 5.3.7.0               # Base Level Fileset
    bos.rte.methods 5.3.7.0                   # Base Level Fileset
    bos.rte.security 5.3.7.0                  # Base Level Fileset
    bos.rte.shell 5.3.7.0                     # Base Level Fileset
    devices.chrp.base.rte 5.3.7.0             # Base Level Fileset

  << End of Failure Section >>

WARNINGS
--------
  Problems described in this section are not likely to be the source of any
  immediate or serious failures, but further actions may be necessary or
  desired.

  Already Installed
  -----------------
  The number of selected filesets that are either already installed
  or effectively installed through superseding filesets is 1.  See
  the summaries at the end of this installation for details.

  NOTE:  Base level filesets may be reinstalled using the "Force"
  option (-F flag), or they may be removed, using the deinstall or
  "Remove Software Products" facility (-u flag), and then reinstalled.

  Superseded Fileset Updates
  --------------------------
  Fileset updates listed in this section will not be installed.  Newer
  updates which supersede (replace) these were selected instead (either by
  you or automatically by the installation program).  Make sure that the
  superseding updates listed passed pre-installation verification.

  bos.adt.prof 5.3.0.67                             (Superseded by 5.3.7.4)
  bos.adt.prof 6.1.0.4                              (Superseded by 6.1.0.5)
  bos.rte.libc 5.3.0.67                             (Superseded by 5.3.7.4)
  bos.rte.libc 6.1.0.4                              (Superseded by 6.1.0.5)

  << End of Warning Section >>

FILESET STATISTICS
------------------
   11  Selected to be installed, of which:
        6  FAILED pre-installation verification
        4  Replaced by superseding updates
        1  Already installed (directly or via superseding filesets)
  ----
    0  Total to be installed


Pre-installation Failure/Warning Summary
----------------------------------------
Name                      Level           Pre-installation Failure/Warning
-------------------------------------------------------------------------------
bos.rte.libc              6.1.0.5         Requisite failure
bos.rte.libc              5.3.7.4         Requisite failure
bos.rte.control           5.3.7.3         Requisite failure
bos.adt.prof              6.1.0.5         Requisite failure
bos.adt.prof              5.3.7.4         Requisite failure
bos.adt.prof              5.2.0.110       Requisite failure
bos.rte.libc              6.1.0.4         To be superseded by 6.1.0.5
bos.rte.libc              5.3.0.67        To be superseded by 5.3.7.4
bos.adt.prof              6.1.0.4         To be superseded by 6.1.0.5
bos.adt.prof              5.3.0.67        To be superseded by 5.3.7.4
bos.rte.libc              5.2.0.110       Already superseded by 5.3.0.10

What should I do first to properly install the apar mentioned above? And if I will be successful installing it. Does it need reboot? How do you know if a certain apar/software update/install needs reboot?

Thanks in advance.
Sponsored Links
    #2  
Old 07-26-2008
bakunin bakunin is offline Forum Staff  
Bughunter Extraordinaire
 
Join Date: May 2005
Last Activity: 14 September 2014, 4:21 PM EDT
Location: In the leftmost byte of /dev/kmem
Posts: 4,234
Thanks: 45
Thanked 811 Times in 640 Posts
Quote:
Originally Posted by itik View Post
What should I do first to properly install the apar mentioned above?
There is a paragraph named "Missing filesets" in the output you provided. Install these filesets, as is explained in detail there.

Quote:
And if I will be successful installing it. Does it need reboot? How do you know if a certain apar/software update/install needs reboot?
Put the fileset in question in a directory and run "inutoc ." as root. A file named ".toc" will be created which holds all the dependency and other information about the package in (more or less) readable form. In the first line of the package description you see some flags. If a "b" or "B" is among them the package needs reboot, otherwise not.

I have no machine at hand, so i can give you only general directions, no example. I suggest trying that with two packages one of which is known to need a reboot and you will see the difference in the .toc-file.

bakunin
Sponsored Links
Closed Thread

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

More UNIX and Linux Forum Topics You Might Find Helpful
Thread Thread Starter Forum Replies Last Post
APAR fix on AIX 53tl9 daveisme AIX 1 04-15-2010 02:25 AM
Remove APAR number from aix 5.3 sumathi.k AIX 3 10-27-2009 09:52 AM
how to read an APAR descr raba AIX 2 07-10-2009 12:09 PM
multibos with aix53 hacmp45 itik AIX 1 08-21-2008 05:23 PM
If the AIX need reboot after install fix pack or APAR? rainbow_bean AIX 3 01-05-2008 05:51 AM



All times are GMT -4. The time now is 12:01 AM.